Bug 185969 - [NEW PORT] databases/libdrizzle-redux: Client and protocol library for the Drizzle database
Summary: [NEW PORT] databases/libdrizzle-redux: Client and protocol library for the Dr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-21 18:30 UTC by jim
Modified: 2014-05-25 08:40 UTC (History)
0 users

See Also:


Attachments
.shar (3.36 KB, text/plain)
2014-01-21 18:30 UTC, jim
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jim 2014-01-21 18:30:00 UTC
Drizzle Client & Protocol Library. This project 
is for the new development of the MySQL compatible
C connector library called libdrizzle-redux.

Note: This is a "new" project, identified with the siffix "-redux" by the developers.

The "old" libdrizzle is no longer distributed separately from Drizzle.

Tested on 8.4, 9.2, 10.0, and 11-CURRENT, amd64 and i386.

WWW: https://launchpad.net/libdrizzle

Generated with FreeBSD Port Tools 0.99_11 (mode: new)
Comment 1 Pawel Pekala freebsd_committer 2014-02-11 18:03:11 UTC
State Changed
From-To: open->feedback

Fetch fails: 

===>  License BSD2CLAUSE accepted by the user ===> 
libdrizzle-redux-5.1.4 depends on file: /usr/local/sbin/pkg - found => 
libdrizzle.pdf doesn't seem to exist in /old/distfiles/.  => Attempting 
to fetch http://launchpadlibrarian.net/138246183/libdrizzle.pdf fetch: 
http://launchpadlibrarian.net/138246183/libdrizzle.pdf: Not Found => 
Attempting to fetch 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/libdrizzle.pdf fetch: 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/libdrizzle.pdf: File 
unavailable (e.g., file not found, no access) => Couldn't fetch it - 
please try to retrieve this => port manually into /old/distfiles/ and 
try again.  *** Error code 1 

Stop.  make: stopped in /usr/local/ports/databases/libdrizzle-redux
Comment 2 jim 2014-02-11 19:49:06 UTC
Not sure why it's looking only at 
http://launchpadlibrarian.net/138246183/libdrizzle.pdf. The correct 
"master site" for that file is 
http://launchpadlibrarian.net/138246206/libdrizzle.pdf and it fetches 
correctly.

Fetched correctly at RedPorts as well:

https://redports.org/buildarchive/20140130150337-33416/

  # make distclean
===>  Cleaning for libdrizzle-redux-5.1.4
===>  Deleting distfiles for libdrizzle-redux-5.1.4

  # make
===>  License BSD2CLAUSE accepted by the user
===>  Found saved configuration for libdrizzle-redux-5.1.4
===>   libdrizzle-redux-5.1.4 depends on file: /usr/local/sbin/pkg - found
=> libdrizzle-5.1.4.tar.gz doesn't seem to exist in /var/ports/distfiles/.
=> Attempting to fetch 
http://launchpadlibrarian.net/138246183/libdrizzle-5.1.4.tar.gz
libdrizzle-5.1.4.tar.gz                       100% of  443 kB 4950 kBps 
00m00s
=> libdrizzle.pdf doesn't seem to exist in /var/ports/distfiles/.
=> Attempting to fetch 
http://launchpadlibrarian.net/138246183/libdrizzle.pdf
fetch: http://launchpadlibrarian.net/138246183/libdrizzle.pdf: Not Found
=> Attempting to fetch 
http://launchpadlibrarian.net/138246206/libdrizzle.pdf
libdrizzle.pdf                                100% of  245 kB 7080 kBps 
00m00s
===> Fetching all distfiles required by libdrizzle-redux-5.1.4 for building
===>  Extracting for libdrizzle-redux-5.1.4
=> SHA256 Checksum OK for libdrizzle-5.1.4.tar.gz.
=> SHA256 Checksum OK for libdrizzle.pdf.
===>  Patching for libdrizzle-redux-5.1.4
Comment 3 Martin Wilke freebsd_committer 2014-05-25 08:32:45 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 4 dfilter service freebsd_committer 2014-05-25 08:33:08 UTC
Author: miwi
Date: Sun May 25 07:33:03 2014
New Revision: 355134
URL: http://svnweb.freebsd.org/changeset/ports/355134
QAT: https://qat.redports.org/buildarchive/r355134/

Log:
  Drizzle Client & Protocol Library. This project
  is for the new development of the MySQL compatible
  C connector library called libdrizzle-redux.
  
  WWW: https://launchpad.net/libdrizzle
  
  PR:		ports/185969
  Submitted by:	Jim Ohlstein <jim@ohlste.in>

Added:
  head/databases/libdrizzle-redux/
  head/databases/libdrizzle-redux/Makefile   (contents, props changed)
  head/databases/libdrizzle-redux/distinfo   (contents, props changed)
  head/databases/libdrizzle-redux/pkg-descr   (contents, props changed)
  head/databases/libdrizzle-redux/pkg-plist   (contents, props changed)
Modified:
  head/databases/Makefile

Modified: head/databases/Makefile
==============================================================================
--- head/databases/Makefile	Sun May 25 07:32:07 2014	(r355133)
+++ head/databases/Makefile	Sun May 25 07:33:03 2014	(r355134)
@@ -137,6 +137,7 @@
     SUBDIR += libdbi
     SUBDIR += libdbi-drivers
     SUBDIR += libdrizzle
+    SUBDIR += libdrizzle-redux
     SUBDIR += libgda4
     SUBDIR += libgda4-bdb
     SUBDIR += libgda4-jdbc

Added: head/databases/libdrizzle-redux/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/libdrizzle-redux/Makefile	Sun May 25 07:33:03 2014	(r355134)
@@ -0,0 +1,39 @@
+# Created by: Jim Ohlstein <jim@ohlste.in>
+# $FreeBSD$
+
+PORTNAME=	libdrizzle
+PORTVERSION=	5.1.4
+CATEGORIES=	databases
+MASTER_SITES=	http://launchpadlibrarian.net/138246183/
+PKGNAMESUFFIX=	-redux
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
+EXTRACT_ONLY=	libdrizzle-5.1.4.tar.gz
+
+MAINTAINER=	jim@ohlste.in
+COMMENT=	Client and protocol library for the Drizzle database
+
+LICENSE=	BSD2CLAUSE
+
+GNU_CONFIGURE=	yes
+USES=		gmake
+USE_LDCONFIG=	yes
+
+CONFLICTS=	libdrizzle-[0-9]*
+
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MDOCS}
+MASTER_SITES+=	http://launchpadlibrarian.net/138246206/
+DISTFILES+=	libdrizzle.pdf
+PLIST_SUB+=	PORTDOCS=""
+.endif
+
+post-install:
+.if !empty(PORT_OPTIONS:MDOCS)
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${DISTDIR}/libdrizzle.pdf ${STAGEDIR}${DOCSDIR}
+.endif
+
+.include <bsd.port.mk>

Added: head/databases/libdrizzle-redux/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/libdrizzle-redux/distinfo	Sun May 25 07:33:03 2014	(r355134)
@@ -0,0 +1,4 @@
+SHA256 (libdrizzle-5.1.4.tar.gz) = 74b7c0900b36d5e684092f8526fc9a15ae7b2d8d71d033be00fc1b81684dc7f9
+SIZE (libdrizzle-5.1.4.tar.gz) = 454242
+SHA256 (libdrizzle.pdf) = b05c123805a975bf78ea28bb5db5911110730ca11a0cbcdd131e22bab5f7e2d6
+SIZE (libdrizzle.pdf) = 250886

Added: head/databases/libdrizzle-redux/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/libdrizzle-redux/pkg-descr	Sun May 25 07:33:03 2014	(r355134)
@@ -0,0 +1,5 @@
+Drizzle Client & Protocol Library. This project
+is for the new development of the MySQL compatible
+C connector library called libdrizzle-redux.
+
+WWW: https://launchpad.net/libdrizzle

Added: head/databases/libdrizzle-redux/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/libdrizzle-redux/pkg-plist	Sun May 25 07:33:03 2014	(r355134)
@@ -0,0 +1,30 @@
+bin/libdrizzle-config
+include/libdrizzle-5.1/binlog.h
+include/libdrizzle-5.1/column.h
+include/libdrizzle-5.1/column_client.h
+include/libdrizzle-5.1/conn.h
+include/libdrizzle-5.1/conn_client.h
+include/libdrizzle-5.1/constants.h
+include/libdrizzle-5.1/drizzle.h
+include/libdrizzle-5.1/drizzle_client.h
+include/libdrizzle-5.1/error.h
+include/libdrizzle-5.1/field_client.h
+include/libdrizzle-5.1/libdrizzle.h
+include/libdrizzle-5.1/query.h
+include/libdrizzle-5.1/result.h
+include/libdrizzle-5.1/result_client.h
+include/libdrizzle-5.1/return.h
+include/libdrizzle-5.1/row_client.h
+include/libdrizzle-5.1/ssl.h
+include/libdrizzle-5.1/statement.h
+include/libdrizzle-5.1/structs.h
+include/libdrizzle-5.1/verbose.h
+include/libdrizzle-5.1/version.h
+include/libdrizzle-5.1/visibility.h
+lib/libdrizzle.a
+lib/libdrizzle.la
+lib/libdrizzle.so
+lib/libdrizzle.so.9
+%%PORTDOCS%%%%DOCSDIR%%/libdrizzle.pdf
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrmtry include/libdrizzle-5.1
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"